/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-08-21 15:27:30 UTC)
 * on 2013-08-29 at 01:10:14 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.plus;

/**
 * Available OAuth 2.0 scopes for use with the Google+ API.
 *
 * @since 1.4
 */
public class PlusScopes {

  /** View your circles and the people and pages in them. */
  public static final String PLUS_CIRCLES_READ = "https://www.googleapis.com/auth/plus.circles.read";

  /** Manage your circles and add people and pages, who will be notified and may appear on your public Google+ profile. */
  public static final String PLUS_CIRCLES_WRITE = "https://www.googleapis.com/auth/plus.circles.write";

  /** Know your name, basic info, and list of people you're connected to on Google+. */
  public static final String PLUS_LOGIN = "https://www.googleapis.com/auth/plus.login";

  /** Know who you are on Google+. */
  public static final String PLUS_ME = "https://www.googleapis.com/auth/plus.me";

  /** Send your photos and videos to Google+. */
  public static final String PLUS_MEDIA_UPLOAD = "https://www.googleapis.com/auth/plus.media.upload";

  /** View your own Google+ profile and profiles visible to you. */
  public static final String PLUS_PROFILES_READ = "https://www.googleapis.com/auth/plus.profiles.read";

  /** View your Google+ posts, comments, and stream. */
  public static final String PLUS_STREAM_READ = "https://www.googleapis.com/auth/plus.stream.read";

  /** Manage your Google+ posts, comments, and stream. */
  public static final String PLUS_STREAM_WRITE = "https://www.googleapis.com/auth/plus.stream.write";

  private PlusScopes() {
  }
}
