/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-08-21 15:27:30 UTC)
 * on 2013-08-29 at 01:10:14 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.plus.model;

/**
 * Model definition for Videostream.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google+ API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-http-java-client/wiki/JSON">http://code.google.com/p/google-http-java-client/wiki/JSON</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Videostream extends com.google.api.client.json.GenericJson {

  /**
   * The height, in pixels, of the video resource.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Integer height;

  /**
   * MIME type of the video stream.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String type;

  /**
   * URL of the video stream.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String url;

  /**
   * The width, in pixels, of the video resource.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Integer width;

  /**
   * The height, in pixels, of the video resource.
   * @return value or {@code null} for none
   */
  public java.lang.Integer getHeight() {
    return height;
  }

  /**
   * The height, in pixels, of the video resource.
   * @param height height or {@code null} for none
   */
  public Videostream setHeight(java.lang.Integer height) {
    this.height = height;
    return this;
  }

  /**
   * MIME type of the video stream.
   * @return value or {@code null} for none
   */
  public java.lang.String getType() {
    return type;
  }

  /**
   * MIME type of the video stream.
   * @param type type or {@code null} for none
   */
  public Videostream setType(java.lang.String type) {
    this.type = type;
    return this;
  }

  /**
   * URL of the video stream.
   * @return value or {@code null} for none
   */
  public java.lang.String getUrl() {
    return url;
  }

  /**
   * URL of the video stream.
   * @param url url or {@code null} for none
   */
  public Videostream setUrl(java.lang.String url) {
    this.url = url;
    return this;
  }

  /**
   * The width, in pixels, of the video resource.
   * @return value or {@code null} for none
   */
  public java.lang.Integer getWidth() {
    return width;
  }

  /**
   * The width, in pixels, of the video resource.
   * @param width width or {@code null} for none
   */
  public Videostream setWidth(java.lang.Integer width) {
    this.width = width;
    return this;
  }

  @Override
  public Videostream set(String fieldName, Object value) {
    return (Videostream) super.set(fieldName, value);
  }

  @Override
  public Videostream clone() {
    return (Videostream) super.clone();
  }

}
